io.swagger.client.model

## Class Workflow

- java.lang.Object
- - io.swagger.client.model.Workflow

-     public class Workflow
      extends Object

  Workflow

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Workflow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Workflow` | `addFunctionsItem(WorkflowFunction functionsItem)`
    `Workflow` | `addInitiatorsItem(String initiatorsItem)`
    `Workflow` | `addPropertiesItem(WorkflowProperty propertiesItem)`
    `Workflow` | `addStatesItem(WorkflowState statesItem)`
    `Workflow` | `applicationId(Integer applicationId)`
    `Workflow` | `constructor(WorkflowFunction constructor)`
    `Workflow` | `constructorId(Integer constructorId)`
    `Workflow` | `description(String description)`
    `Workflow` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `Workflow` | `functions(List<WorkflowFunction> functions)`
    `Integer` | `getApplicationId()` Get applicationId
    `WorkflowFunction` | `getConstructor()` Get constructor
    `Integer` | `getConstructorId()` Get constructorId
    `String` | `getDescription()` Get description
    `String` | `getDisplayName()` Get displayName
    `List<WorkflowFunction>` | `getFunctions()` Get functions
    `Integer` | `getId()` Get id
    `List<String>` | `getInitiators()` Get initiators
    `String` | `getName()` Get name
    `List<WorkflowProperty>` | `getProperties()` Get properties
    `WorkflowState` | `getStartState()` Get startState
    `Integer` | `getStartStateId()` Get startStateId
    `List<WorkflowState>` | `getStates()` Get states
    `int` | `hashCode()`
    `Workflow` | `id(Integer id)`
    `Workflow` | `initiators(List<String> initiators)`
    `Workflow` | `name(String name)`
    `Workflow` | `properties(List<WorkflowProperty> properties)`
    `void` | `setApplicationId(Integer applicationId)`
    `void` | `setConstructor(WorkflowFunction constructor)`
    `void` | `setConstructorId(Integer constructorId)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setFunctions(List<WorkflowFunction> functions)`
    `void` | `setId(Integer id)`
    `void` | `setInitiators(List<String> initiators)`
    `void` | `setName(String name)`
    `void` | `setProperties(List<WorkflowProperty> properties)`
    `void` | `setStartState(WorkflowState startState)`
    `void` | `setStartStateId(Integer startStateId)`
    `void` | `setStates(List<WorkflowState> states)`
    `Workflow` | `startState(WorkflowState startState)`
    `Workflow` | `startStateId(Integer startStateId)`
    `Workflow` | `states(List<WorkflowState> states)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Workflow

          public Workflow()

  - ### Method Detail

    - #### id

          public Workflow id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### name

          public Workflow name(String name)

    - #### getName

          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### description

          public Workflow description(String description)

    - #### getDescription

          public String getDescription()

      Get description
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### displayName

          public Workflow displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Get displayName
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### applicationId

          public Workflow applicationId(Integer applicationId)

    - #### getApplicationId

          public Integer getApplicationId()

      Get applicationId
      Returns:
        applicationId

    - #### setApplicationId

          public void setApplicationId(Integer applicationId)

    - #### constructorId

          public Workflow constructorId(Integer constructorId)

    - #### getConstructorId

          public Integer getConstructorId()

      Get constructorId
      Returns:
        constructorId

    - #### setConstructorId

          public void setConstructorId(Integer constructorId)

    - #### startStateId

          public Workflow startStateId(Integer startStateId)

    - #### getStartStateId

          public Integer getStartStateId()

      Get startStateId
      Returns:
        startStateId

    - #### setStartStateId

          public void setStartStateId(Integer startStateId)

    - #### initiators

          public Workflow initiators(List<String> initiators)

    - #### addInitiatorsItem

          public Workflow addInitiatorsItem(String initiatorsItem)

    - #### getInitiators

          public List<String> getInitiators()

      Get initiators
      Returns:
        initiators

    - #### setInitiators

          public void setInitiators(List<String> initiators)

    - #### properties

          public Workflow properties(List<WorkflowProperty> properties)

    - #### addPropertiesItem

          public Workflow addPropertiesItem(WorkflowProperty propertiesItem)

    - #### getProperties

          public List<WorkflowProperty> getProperties()

      Get properties
      Returns:
        properties

    - #### setProperties

          public void setProperties(List<WorkflowProperty> properties)

    - #### constructor

          public Workflow constructor(WorkflowFunction constructor)

    - #### getConstructor

          public WorkflowFunction getConstructor()

      Get constructor
      Returns:
        constructor

    - #### setConstructor

          public void setConstructor(WorkflowFunction constructor)

    - #### functions

          public Workflow functions(List<WorkflowFunction> functions)

    - #### addFunctionsItem

          public Workflow addFunctionsItem(WorkflowFunction functionsItem)

    - #### getFunctions

          public List<WorkflowFunction> getFunctions()

      Get functions
      Returns:
        functions

    - #### setFunctions

          public void setFunctions(List<WorkflowFunction> functions)

    - #### startState

          public Workflow startState(WorkflowState startState)

    - #### getStartState

          public WorkflowState getStartState()

      Get startState
      Returns:
        startState

    - #### setStartState

          public void setStartState(WorkflowState startState)

    - #### states

          public Workflow states(List<WorkflowState> states)

    - #### addStatesItem

          public Workflow addStatesItem(WorkflowState statesItem)

    - #### getStates

          public List<WorkflowState> getStates()

      Get states
      Returns:
        states

    - #### setStates

          public void setStates(List<WorkflowState> states)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.